[arch-commits] Commit in gjs/repos (4 files)

Jan Steffens heftig at archlinux.org
Fri Jun 23 10:58:56 UTC 2017


    Date: Friday, June 23, 2017 @ 10:58:55
  Author: heftig
Revision: 299169

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  gjs/repos/extra-i686/PKGBUILD
    (from rev 299168, gjs/trunk/PKGBUILD)
  gjs/repos/extra-x86_64/PKGBUILD
    (from rev 299168, gjs/trunk/PKGBUILD)
Deleted:
  gjs/repos/extra-i686/PKGBUILD
  gjs/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |   86 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   43 ------------------------
 extra-x86_64/PKGBUILD |   43 ------------------------
 3 files changed, 86 insertions(+), 86 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2017-06-23 10:58:31 UTC (rev 299168)
+++ extra-i686/PKGBUILD	2017-06-23 10:58:55 UTC (rev 299169)
@@ -1,43 +0,0 @@
-# $Id$
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=gjs
-pkgver=1.48.4
-pkgrel=1
-pkgdesc="Javascript Bindings for GNOME"
-url="https://wiki.gnome.org/Projects/Gjs"
-arch=(i686 x86_64)
-license=(GPL)
-depends=(cairo gobject-introspection-runtime js38 gtk3)
-makedepends=(gobject-introspection git gnome-common)
-_commit=11b730d84a518326400fd17f7a222b98ff6b6644  # tags/1.48.4^0
-source=("git+https://git.gnome.org/browse/gjs#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd $pkgname
-  # Needs a display
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: gjs/repos/extra-i686/PKGBUILD (from rev 299168, gjs/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2017-06-23 10:58:55 UTC (rev 299169)
@@ -0,0 +1,43 @@
+# $Id$
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gjs
+pkgver=1.48.5
+pkgrel=1
+pkgdesc="Javascript Bindings for GNOME"
+url="https://wiki.gnome.org/Projects/Gjs"
+arch=(i686 x86_64)
+license=(GPL)
+depends=(cairo gobject-introspection-runtime js38 gtk3)
+makedepends=(gobject-introspection git gnome-common)
+_commit=43c5d7839630dd166372f2c404a9a72c87fd102a  # tags/1.48.5^0
+source=("git+https://git.gnome.org/browse/gjs#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2017-06-23 10:58:31 UTC (rev 299168)
+++ extra-x86_64/PKGBUILD	2017-06-23 10:58:55 UTC (rev 299169)
@@ -1,43 +0,0 @@
-# $Id$
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=gjs
-pkgver=1.48.4
-pkgrel=1
-pkgdesc="Javascript Bindings for GNOME"
-url="https://wiki.gnome.org/Projects/Gjs"
-arch=(i686 x86_64)
-license=(GPL)
-depends=(cairo gobject-introspection-runtime js38 gtk3)
-makedepends=(gobject-introspection git gnome-common)
-_commit=11b730d84a518326400fd17f7a222b98ff6b6644  # tags/1.48.4^0
-source=("git+https://git.gnome.org/browse/gjs#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd $pkgname
-  # Needs a display
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: gjs/repos/extra-x86_64/PKGBUILD (from rev 299168, gjs/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2017-06-23 10:58:55 UTC (rev 299169)
@@ -0,0 +1,43 @@
+# $Id$
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gjs
+pkgver=1.48.5
+pkgrel=1
+pkgdesc="Javascript Bindings for GNOME"
+url="https://wiki.gnome.org/Projects/Gjs"
+arch=(i686 x86_64)
+license=(GPL)
+depends=(cairo gobject-introspection-runtime js38 gtk3)
+makedepends=(gobject-introspection git gnome-common)
+_commit=43c5d7839630dd166372f2c404a9a72c87fd102a  # tags/1.48.5^0
+source=("git+https://git.gnome.org/browse/gjs#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list